Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.support
Interface JmxSupport

All Known Implementing Classes:
  AbstractJmxSupport, JmxLegacySupport, JmxModernSupport

    public interface JmxSupport

Mule JMX supporting interface.

Field Summary
`static String` | `DEFAULT_JMX_DOMAIN_PREFIX` Default Mule domain prefix for all instances.

Method Summary
`String` | `escape(String name)` Uses JMX 1.2 and higher standard escape method and semantics.
`String` | `getDomainName(MuleContext context)` Calculates the domain name for the current Mule instance.
`String` | `getDomainName(MuleContext context, boolean resolveClash)`
`ObjectName` | `getObjectName(String name)` Create an object name.

Field Detail

### DEFAULT_JMX_DOMAIN_PREFIX

    static final String DEFAULT_JMX_DOMAIN_PREFIX

  Default Mule domain prefix for all instances.

  See Also:
    Constant Field Values

Method Detail

### escape

    String escape(String name)

  Uses JMX 1.2 and higher standard escape method and semantics.

  Parameters:
    `name` - value to escape for JMX compliance
  Returns:
    value valid for JMX

### getDomainName

    String getDomainName(MuleContext context)

  Calculates the domain name for the current Mule instance. The rules are:
  - Default Mule domain
  - If this server's instance ID is available, append "." (dot) and the ID
  - If no instance ID is available, don't append anything
  Domain clash is resolved by appending a counter at the end.

  Returns:
    JMX domain name

### getDomainName

    String getDomainName(MuleContext context,
                         boolean resolveClash)

### getObjectName

    ObjectName getObjectName(String name)
                             throws MalformedObjectNameException

  Create an object name. May cache the result.

  Parameters:
    `name` - jmx object name
  Returns:
    object name for MBeanServer consumption
  Throws:
    `MalformedObjectNameException` - for invalid names

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.